Open CASCADE Technology: StepFEA_FeaMoistureAbsorption Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
StepFEA_FeaMoistureAbsorption Class Reference

Representation of STEP entity FeaMoistureAbsorption. More...

`#include <StepFEA_FeaMoistureAbsorption.hxx>`

Inheritance diagram for StepFEA_FeaMoistureAbsorption:
[legend]

## Public Member Functions
| StepFEA_FeaMoistureAbsorption ()
| Empty constructor. More...
void | Init (const Handle< TCollection_HAsciiString > &aRepresentationItem_Name, const StepFEA_SymmetricTensor23d &aFeaConstants)
| Initialize all fields (own and inherited) More...
StepFEA_SymmetricTensor23d | FeaConstants () const
| Returns field FeaConstants. More...
void | SetFeaConstants (const StepFEA_SymmetricTensor23d &FeaConstants)
| Set field FeaConstants. More...
Public Member Functions inherited from StepFEA_FeaMaterialPropertyRepresentationItem
| StepFEA_FeaMaterialPropertyRepresentationItem ()
| Empty constructor. More...
Public Member Functions inherited from StepRepr_RepresentationItem
| StepRepr_RepresentationItem ()
| Returns a RepresentationItem. More...
virtual void | Init (const Handle< TCollection_HAsciiString > &aName)
void | SetName (const Handle< TCollection_HAsciiString > &aName)
Handle< TCollection_HAsciiString > | Name () const
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Detailed Description

Representation of STEP entity FeaMoistureAbsorption.

## Constructor & Destructor Documentation

StepFEA_FeaMoistureAbsorption::StepFEA_FeaMoistureAbsorption | ( |  | ) |

Empty constructor.

## Member Function Documentation

StepFEA_SymmetricTensor23d StepFEA_FeaMoistureAbsorption::FeaConstants | ( |  | ) | const

Returns field FeaConstants.

void StepFEA_FeaMoistureAbsorption::Init | ( | const Handle< TCollection_HAsciiString > & | aRepresentationItem_Name,
|  | const StepFEA_SymmetricTensor23d & | aFeaConstants
| ) |  |

Initialize all fields (own and inherited)

void StepFEA_FeaMoistureAbsorption::SetFeaConstants | ( | const StepFEA_SymmetricTensor23d & | FeaConstants | ) |

Set field FeaConstants.

The documentation for this class was generated from the following file:

- StepFEA_FeaMoistureAbsorption.hxx